Send a private note
POST
/
v1
/
requests
/
{request_uid}
/
notes
Send a private note
curl --request POST \
--url https://api.siit.io/v1/requests/{request_uid}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body_markdown": "<string>",
"body_text": "<string>",
"sent_by": "<string>",
"attachments": [
"<string>"
]
}
'import requests
url = "https://api.siit.io/v1/requests/{request_uid}/notes"
payload = {
"body_markdown": "<string>",
"body_text": "<string>",
"sent_by": "<string>",
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body_markdown: '<string>',
body_text: '<string>',
sent_by: '<string>',
attachments: ['<string>']
})
};
fetch('https://api.siit.io/v1/requests/{request_uid}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"uid": "<string>",
"attachments": [
{
"filename": "<string>",
"url": "<string>"
}
],
"body_text": "<string>",
"body_markdown": "<string>",
"target": "<string>",
"remote_url": "<string>",
"remote_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_type": "user",
"sent_by": "<string>",
"sent_by_uid": "<string>",
"submitted_from": "public_api"
}
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID (or friendly_id) of the request
Body
application/json
Response
Created
Show child attributes
Show child attributes
⌘I
Send a private note

